%define upstream_name    Hijk
%define upstream_version 0.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Specialized HTTP client
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Net::Ping)
BuildRequires: perl(Plack)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildArch: noarch

%{?perl_default_filter}

%description
Hijk is a specialized HTTP Client that does nothing but transport the
response body back. It does not feature as a "user agent", but as a dumb
client. It is suitable for connecting to data servers transporting via HTTP
rather then web servers.

Most of HTTP features like proxy, redirect, Transfer-Encoding, or SSL are
not supported at all. For those requirements we already have many good HTTP
clients like the HTTP::Tiny manpage, the Furl manpage or the LWP::UserAgent
manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.130.0-4.mga5
+ Revision: 748130
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.130.0-3.mga5
+ Revision: 733059
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.130.0-2.mga5
+ Revision: 685039
- Mageia 5 Mass Rebuild

* Fri Jun 06 2014 jquelin <jquelin> 0.130.0-1.mga5
+ Revision: 634122
- imported package perl-Hijk


* Fri Jun 06 2014 cpan2dist 0.13-1mga
- initial mageia release, generated with cpan2dist
